<?php

namespace CouponsPlus\App\Conditions\Stubs\Conditions;

use CouponsPlus\Original\Collections\Collection;
use CouponsPlus\App\Coupon\Abilities\DashboardCardData;

class CheckoutField implements DashboardCardData
{
    const TYPE = 'CheckoutField';

    static public function getName() : string
    {
        return __('Checkout Field', 'coupons-plus-for-woocommerce');
    }

    static public function getUseCases(): Collection
    {
        return new Collection([
            __('Restrict your offers based on a custom checkout field.', 'coupons-plus-for-woocommerce'),
            __('Apply different discounts (tiered) based on a specific checkout field.', 'coupons-plus-for-woocommerce'),
        ]);
    }

    static public function getNotes(): array
    {
        return [
            __('The name is the name="" attribute from an input field.', 'coupons-plus-for-woocommerce'),
        ];
    }

    static public function getDescription() : string
    {
        return '';
    }
}
